// Задача "Прямоугольный полигон"
// Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Антон Ахи, akhi@rain.ifmo.ru

{$APPTYPE CONSOLE}
uses
  SysUtils;
var
  s, p, i : longint;

Begin
  Reset(Input, 'rect.in');
  Rewrite(Output, 'rect.out');
  read(s, p);
  i := 1;
  while (i * i <= s) do begin
    if (s mod i = 0) and (2 * (i + s div i) = p) then begin
      writeln(s div i, ' ', i);
      Close(Input);
      Close(Output);
      halt(0);
    end;
    inc(i);
  end;
  writeln('-1');
  Close(Input);
  Close(Output);
End.
